import {
  warn
} from "./chunk-YY3SUQ7P.mjs";
import {
  IS_DEV
} from "./chunk-XV4QN4LA.mjs";

// src/lib/recipe.ts
var RecipeUtils = class {
  scopedMessageFactory(recipe) {
    return (message) => `${recipe.name}: ${message}`;
  }
  validateConfig(config) {
    if (!IS_DEV) {
      return;
    }
    const msg = this.scopedMessageFactory(config);
    warn(
      config.instructions,
      (instructions) => instructions.length > 0,
      msg("Recipe has no instructions")
    );
    warn(
      config.servings,
      (servings) => servings !== void 0 && servings <= 0,
      msg("Recipe has less than one serving")
    );
    warn(
      config.ingredients,
      (ingredients) => ingredients.length > 0,
      msg("Recipe has no ingredients")
    );
  }
  static create(config) {
    this.validateConfig(config);
    return {
      name: config.name,
      ingredients: config.ingredients,
      units: config.units,
      // optional
      thumbnail: config.thumbnail,
      servings: config.servings ?? 1,
      instructions: config.instructions ?? []
    };
  }
};

export {
  RecipeUtils
};
