// src/const/conversion.ts
var WEIGHT_CONVERSION_TABLE = {
  g: {
    g: 1,
    kg: 1e3,
    oz: 28.3495,
    lb: 453.592
  },
  kg: {
    g: 1e-3,
    kg: 1,
    oz: 0.0283495,
    lb: 0.453592
  },
  oz: {
    g: 0.035274,
    kg: 35.274,
    oz: 1,
    lb: 16
  },
  lb: {
    g: 220462e-8,
    kg: 2.20462,
    oz: 0.0625,
    lb: 1
  }
};
var VOLUME_CONVERSION_TABLE = {
  L: {
    L: 1,
    gal: 3.78541,
    mL: 1e-3,
    cup: 0.0625,
    tsp: 0.202884,
    tbsp: 0.067628
  },
  gal: {
    L: 0.264172,
    gal: 1,
    mL: 264172e-9,
    cup: 0.016,
    tsp: 0.0515037,
    tbsp: 0.0171679
  },
  mL: {
    L: 1e3,
    gal: 3785.41,
    mL: 1,
    cup: 422675e-8,
    tsp: 0.033814,
    tbsp: 422675e-8
  },
  cup: {
    L: 4.22675,
    gal: 16,
    mL: 236.588,
    cup: 1,
    tsp: 3.2,
    tbsp: 1.06667
  },
  tsp: {
    L: 4.92892,
    gal: 18.6184,
    mL: 4.92892,
    cup: 0.3125,
    tsp: 1,
    tbsp: 0.333333
  },
  tbsp: {
    L: 14.7868,
    gal: 56,
    mL: 14.7868,
    cup: 0.9375,
    tsp: 3,
    tbsp: 1
  }
};

export {
  WEIGHT_CONVERSION_TABLE,
  VOLUME_CONVERSION_TABLE
};
