// src/const/unit.ts
var WEIGHT_UNITS = [
  {
    key: true,
    name: "gram",
    abbreviation: "g",
    value: 1,
    type: "weight"
  },
  {
    name: "kilogram",
    abbreviation: "kg",
    value: 1e3,
    type: "weight"
  },
  {
    name: "ounce",
    abbreviation: "oz",
    value: 28.3495,
    type: "weight"
  },
  {
    name: "pound",
    abbreviation: "lb",
    value: 453.592,
    type: "weight"
  }
];
var VOLUME_UNITS = [
  {
    key: true,
    name: "liter",
    abbreviation: "L",
    value: 1,
    type: "volume"
  },
  {
    name: "gallon",
    abbreviation: "gal",
    value: 3.78541,
    type: "volume"
  },
  {
    name: "milliliter",
    abbreviation: "mL",
    value: 1e-3,
    type: "volume"
  },
  {
    name: "cup",
    abbreviation: "cup",
    value: 0.0625,
    type: "volume"
  },
  {
    name: "teaspoon",
    abbreviation: "tsp",
    value: 0.0208333,
    type: "volume"
  },
  {
    name: "tablespoon",
    abbreviation: "tbsp",
    value: 0.0625,
    type: "volume"
  },
  {
    name: "fluid ounce",
    abbreviation: "fl oz",
    value: 0.125,
    type: "volume"
  }
];
var UNITS = [...WEIGHT_UNITS, ...VOLUME_UNITS];

export {
  WEIGHT_UNITS,
  VOLUME_UNITS,
  UNITS
};
