/**
 * Throws an error if the assertion fails
 *
 * @param value - The value to assert
 * @param assertion - The assertion to make
 * @param message - The message to throw if the assertion fails
 */
declare function assert<T>(value: T, assertion: (value: T) => boolean, message: string): void;
/**
 * Logs a warning in development if the assertion fails
 *
 * @param value - The value to assert
 * @param assertion - The assertion to make
 * @param message - The message to log if the assertion fails
 */
declare function warn<T>(value: T, assertion: (value: T) => boolean, message: string): void;

export { assert, warn };
