import { UnitKey } from '../types.mjs';
import '../const/unit.mjs';

declare class UnitUtilsImpl {
    private getUnit;
    private getConversionRatio;
    /**
     * Converts a number from one unit to another
     *
     * @param amount - The amount to convert
     * @param from - The unit to convert from
     * @param to - The unit to convert to
     * @returns - The converted amount
     */
    convert(amount: number, from: UnitKey, to: UnitKey): number;
}
declare const UnitUtils: UnitUtilsImpl;

export { UnitUtils };
